package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterRiver;
import com.lightinit.hsdatashow.entity.StWaterRiverExample;
import com.lightinit.hsdatashow.model.topic.water.WaterAllListReturnModel;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface StWaterRiverMapper {
    long countByExample(StWaterRiverExample example);

    int deleteByExample(StWaterRiverExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterRiver record);

    int insertSelective(StWaterRiver record);

    List<StWaterRiver> selectByExample(StWaterRiverExample example);

    StWaterRiver selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterRiver record, @Param("example") StWaterRiverExample example);

    int updateByExample(@Param("record") StWaterRiver record, @Param("example") StWaterRiverExample example);

    int updateByPrimaryKeySelective(StWaterRiver record);

    int updateByPrimaryKey(StWaterRiver record);

    List<WaterAllListReturnModel> selectAllList();

    int getRiverCount();

    BigDecimal getShangyueJiangyu();

    BigDecimal getShangyueYongshui();

    BigDecimal getRiverLength();

    BigDecimal getHlXs();
}